#!/bin/sh
################################################################################
## CERN BE-CO-HT
## CONV-RS485-OPT-RTM
## https://www.ohwr.org/projects/conv-rs485-opt-rtm
################################################################################
##
## unit name:   run-pts.sh
##
## description: Top level script to run the full PTS of the CONV-RS485-OPT-RTM.
##
################################################################################
## Copyright CERN 2019
################################################################################
##
## This program is free software: you can redistribute it and/or modify it under
## the terms of the GNU General Public License as published by the Free Software
## Foundation, either version 3 of the License, or (at your option) any later
## version.
##
## This program is distributed in the hope that it will be useful, but WITHOUT
## ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
## FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
## details.
##
## You should have received a copy of the GNU General Public License along with
## this program. If not, see <https://www.gnu.org/licenses/>.
##
## SPDX-License-Identifier: GPL-3.0-or-later
################################################################################

BOARD="OptRtm"

LOGDIR=`pwd`"/log/"

mkdir -p "$LOGDIR"

serial=0000
extra_serial=0000

serial=$1
if [ x$1 = x"" ]; then
    echo -n "Please scan CERN serial number bar-code, then press [ENTER]: "
    read serial
fi

if [ x$serial = x"" ]; then
    serial=0000
fi

extra_serial=$2
if [ x$2 = x"" ]; then
    echo -n "If needed input extra serial number and press [ENTER]"\
	 "OR just press [ENTER]: "
    read extra_serial
fi

if [ x$extra_serial = x"" ]; then
    extra_serial=0000
fi

echo

board_plugged=$3
echo -n "---> Now please plug in the board and then press [ENTER]"
read board_plugged

# run tests
cd python
python pts.py -b $BOARD -s $serial -e $extra_serial -l $LOGDIR 00 01 02
cd ..

echo
echo "---------------"
echo
echo "End of the test"
